perl-Perl-Critic-PolicyBundle-SNEZ-0.02-alt1.noarch.rpm


Advertisement

Description

perl-Perl-Critic-PolicyBundle-SNEZ - extra Perl::Critic policies

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Perl-Critic-PolicyBundle-SNEZ-0.02-alt1.noarch.rpm
Package name perl-Perl-Critic-PolicyBundle-SNEZ
Package version 0.02
Package release alt1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 22.03 KB
Installed size 22.03 KB
This is a set of policies I deemed useful but were not present in the core
Perl::Critic (as far as I know).

Alternatives

Package Version Architecture Repository
perl-Perl-Critic-PolicyBundle-SNEZ - - -

Requires

Name Value
/usr/share/perl5 -
perl(Data/Alias.pm) -
perl(List/MoreUtils.pm) -
perl(Perl/Critic/Policy.pm) -
perl(Perl/Critic/Utils.pm) -
perl(constant.pm) -
perl(parent.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Perl/Critic/Policy/CodeLayout/RequireBreakBeforeOperator.pm) -
perl(Perl/Critic/Policy/CodeLayout/RequireKRBracing.pm) -
perl(Perl/Critic/Policy/CodeLayout/RequireKRParens.pm) -
perl(Perl/Critic/Policy/CodeLayout/RequireSpaceAroundBinaryOperators.pm) -
perl(Perl/Critic/Policy/ControlStructures/ProhibitMultipleSubscripts.pm) -
perl(Perl/Critic/Policy/ValuesAndExpressions/ProhibitListsInMultiConstants.pm) -
perl(Perl/Critic/PolicyBundle/SNEZ.pm) = 0.020
perl-Perl-Critic-PolicyBundle-SNEZ = 0.02-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Perl-Critic-PolicyBundle-SNEZ-0.02-alt1.noarch.rpm
Source Package perl-Perl-Critic-PolicyBundle-SNEZ-0.02-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Perl-Critic-PolicyBundle-SNEZ rpm package:
    # sudo apt-get install perl-Perl-Critic-PolicyBundle-SNEZ

Files

Path
/usr/share/doc/perl-Perl-Critic-PolicyBundle-SNEZ-0.02/Changes
/usr/share/doc/perl-Perl-Critic-PolicyBundle-SNEZ-0.02/README.md
/usr/share/perl5/Perl/
/usr/share/perl5/Perl/Critic/
/usr/share/perl5/Perl/Critic/Policy/
/usr/share/perl5/Perl/Critic/Policy/CodeLayout/RequireBreakBeforeOperator.pm
/usr/share/perl5/Perl/Critic/Policy/CodeLayout/RequireKRBracing.pm
/usr/share/perl5/Perl/Critic/Policy/CodeLayout/RequireKRParens.pm
/usr/share/perl5/Perl/Critic/Policy/CodeLayout/RequireSpaceAroundBinaryOperators.pm
/usr/share/perl5/Perl/Critic/Policy/ControlStructures/ProhibitMultipleSubscripts.pm
/usr/share/perl5/Perl/Critic/Policy/ValuesAndExpressions/ProhibitListsInMultiConstants.pm
/usr/share/perl5/Perl/Critic/PolicyBundle/SNEZ.pm

See Also

Package Description
perl-Perl-Critic-RENEEB-2.02-alt1.noarch.rpm A collection of handy Perl::Critic policies
perl-Perl-Critic-Storable-0.01-alt1_25.noarch.rpm Policy for Storable.pm
perl-Perl-Critic-StricterSubs-0.05-alt1_14.noarch.rpm Perl::Critic plugin for stricter subroutine checks
perl-Perl-Critic-Swift-1.0.3-alt1_27.noarch.rpm Set of additional policies for Perl::Critic
perl-Perl-Critic-Tics-0.009-alt1_15.noarch.rpm Policies for things that make me wince
perl-Perl-Critic-TooMuchCode-0.13-alt1.noarch.rpm perlcritic add-ons that generally check for un-needed stuffs
perl-Perl-Critic-logicLAB-0.09-alt1.noarch.rpm a set of Perl::Critic policies implemented and used by logicLAB
perl-Perl-Download-FTP-0.05-alt1.noarch.rpm Identify Perl releases and download the most recent via FTP
perl-Perl-Exactly-0.06-alt1.noarch.rpm ensures exactly version of perl
perl-Perl-Examples-0.094-alt1.noarch.rpm A collection of various examples of Perl modules/scripts
perl-Perl-Examples-Accessors-0.09-alt1.noarch.rpm A collection of example classes using various accessor generators
perl-Perl-Examples-scripts-0.094-alt1.noarch.rpm Perl-Examples scripts
perl-Perl-Folder-0.10-alt1.noarch.rpm Fold and Unfold Blocks in Perl Code
perl-Perl-ImportReport-0.1-alt1.noarch.rpm Find data on symbols being imported by Perl code
perl-Perl-Installed-0.01-alt1.noarch.rpm Get meta information of a perl installation
Advertisement
Advertisement